Commit be522e59 authored by Sébastien Wilmet's avatar Sébastien Wilmet

Release 1.0.0

parent 8747e661
News in 1.0.0
-------------
* The API is now stable. Future 1.x stable versions will be backward compatible
with the 1.0 version.
* Translation updates
News in 0.2.6
-------------
* Fix builddir != srcdir issue (it occurred only in Git, not in tarballs
......
gspell - a spell-checking library for GTK+ applications
=======================================================
This is version 0.2.7 of gspell.
This is version 1.0.0 of gspell.
gspell provides a flexible API to add spell checking to a GTK+ application.
......@@ -18,20 +18,18 @@ About versions
gspell follows the GNOME release schedule.
gspell 0.1.x should be installed alongside GNOME 3.18.
gspell 1.0.x should be installed alongside GNOME 3.20.
gspell 0.2.x versions correspond to GNOME 3.19 versions. The API can now be
considered stable and the 0.2 series will lead to the 1.0 version, which will
be released at the same time as GNOME 3.20 in March 2016.
Warning: the 1.0 version will *not* be completely parallel-installable with the
0.1 version, only the libtool version will be bumped. Using the 0.1 version is
highly discouraged.
The 0.1 version didn't have a stable API, and there has been lots of API
changes between 0.1 and 1.0. The 0.1 and 1.0 versions are not completely
parallel-installable, only the libtool version has been bumped. Using the 0.1
version is highly discouraged.
Dependencies
------------
* GLib >= 2.44
* GTK+ >= 3.19.11
* GTK+ >= 3.20
* Enchant >= 1.6.0
* iso-codes
......
......@@ -3,7 +3,7 @@ dnl Process this file with autoconf to produce a configure script.
AC_PREREQ(2.64)
# Package version of the form 'major.minor.micro'.
m4_define(gspell_package_version, 0.2.7)
m4_define(gspell_package_version, 1.0.0)
AC_INIT([gspell],
[gspell_package_version],
......@@ -34,7 +34,7 @@ AX_IS_RELEASE([git-directory])
# When incrementing the API version (usually for a new major package version),
# set CURRENT, REVISION and AGE to 0 since it's like a new library.
GSPELL_LT_CURRENT=0
GSPELL_LT_CURRENT=1
GSPELL_LT_REVISION=0
GSPELL_LT_AGE=0
GSPELL_LT_VERSION="$GSPELL_LT_CURRENT:$GSPELL_LT_REVISION:$GSPELL_LT_AGE"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment